TableCellSkin (JavaFX 13)

Module javafx.controls
Package javafx.scene.control.skin

## Class TableCellSkin<S,​T>

- java.lang.Object
- - javafx.scene.control.SkinBase<C>
  - - javafx.scene.control.skin.LabeledSkinBase<C>
    - - javafx.scene.control.skin.CellSkinBase<C>
      - - javafx.scene.control.skin.TableCellSkinBase<S,​T,​TableCell<S,​T>>
        - - javafx.scene.control.skin.TableCellSkin<S,​T>

- Type Parameters:
    `S` - The type of the UI control (e.g. the type of the 'row').
    `T` - The type of the content in the cell, based on its `TableColumn`.
  All Implemented Interfaces:
    `Skin<TableCell<S,​T>>`

      public class TableCellSkin<S,​T>
      extends TableCellSkinBase<S,​T,​TableCell<S,​T>>

  Default skin implementation for the `TableCell` control.
  Since:
    9
  See Also:
    `TableCell`

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `ReadOnlyObjectProperty<TableColumn<S,​T>>` | `tableColumn` | The TableColumnBase instance that is responsible for this Cell.

    - ### Properties inherited from class javafx.scene.control.skin.CellSkinBase

      `cellSize`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableCellSkin​(TableCell<S,​T> control)` | Creates a new TableCellSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` | Called by a Skinnable when the Skin is replaced on the Skinnable.
    `ReadOnlyObjectProperty<TableColumn<S,​T>>` | `tableColumnProperty()` | The TableColumnBase instance that is responsible for this Cell.

    - ### Methods inherited from class javafx.scene.control.skin.TableCellSkinBase

      `computePrefWidth, getTableColumn, layoutChildren`

    - ### Methods inherited from class javafx.scene.control.skin.CellSkinBase

      `cellSizeProperty, getCellSize, getClassCssMetaData, getCssMetaData`

    - ### Methods inherited from class javafx.scene.control.skin.LabeledSkinBase

      `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, layoutLabelInArea, layoutLabelInArea, queryAccessibleAttribute, updateChildren`

    - ### Methods inherited from class javafx.scene.control.SkinBase

      `consumeMouseEvents, executeAccessibleAction, getChildren, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, registerChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### tableColumn

          public ReadOnlyObjectProperty<TableColumn<S,​T>> tableColumnProperty

      The TableColumnBase instance that is responsible for this Cell.
      Specified by:
        `tableColumnProperty` in class `TableCellSkinBase<S,​T,​TableCell<S,​T>>`
      See Also:
        `TableCellSkinBase.getTableColumn()`

  - ### Constructor Detail

    - #### TableCellSkin

          public TableCellSkin​(TableCell<S,​T> control)

      Creates a new TableCellSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
      Parameters:
        `control` - The control that this skin should be installed onto.

  - ### Method Detail

    - #### dispose

          public void dispose()

      Called by a Skinnable when the Skin is replaced on the Skinnable. This method allows a Skin to implement any logic necessary to clean up itself after the Skin is no longer needed. It may be used to release native resources. The methods `Skin.getSkinnable()` and `Skin.getNode()` should return null following a call to dispose. Calling dispose twice has no effect.
      Specified by:
        `dispose` in interface `Skin<S>`
      Overrides:
        `dispose` in class `TableCellSkinBase<S,​T,​TableCell<S,​T>>`

    - #### tableColumnProperty

          public ReadOnlyObjectProperty<TableColumn<S,​T>> tableColumnProperty()

      The TableColumnBase instance that is responsible for this Cell.
      Specified by:
        `tableColumnProperty` in class `TableCellSkinBase<S,​T,​TableCell<S,​T>>`
      See Also:
        `TableCellSkinBase.getTableColumn()`